Skip to main content
GET
/
status
/
{document_id}
Get document status
curl --request GET \
  --url https://api.capout.ai/status/{document_id} \
  --header 'capout-api-key: <api-key>'
{
  "document_id": "doc_123",
  "status": "processing",
  "progress": {
    "ocr": "complete",
    "structure": "in_progress",
    "actions": null,
    "trades": null,
    "categories": null
  },
  "workflow_complete": false,
  "completed_at": null,
  "updated_at": "2026-04-14T14:31:12Z"
}

Authorizations

capout-api-key
string
header
default:capout_test_your_api_key
required

Organization-scoped API key used for REST endpoints and for minting realtime tokens.

Path Parameters

document_id
string
required

Response

Successful response

Response body for GET /status/{document_id}.

document_id
string
required
Example:

"doc_123"

status
string
required
Example:

"processing"

progress
DocumentProgress · object
workflow_complete
boolean
default:false
Example:

false

completed_at
string<date-time> | null
Example:

null

updated_at
string<date-time> | null
Example:

"2026-04-14T14:31:12Z"